<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <title>Festo</title>
    <!-- If IE use the latest rendering engine -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
        integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link rel="shortcut icon" href="{{url_for('static', filename='img/faviconF.ico')}}">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

</head>

{% block content %}
<div class="container">
    {% for message in get_flashed_messages() %}
    <div class="alert alert-warning">
        <button type="button" class="close" data-dismiss="alert" onclick=delete_flash(this)>&times;</button>
        {{ message }}
    </div>
    {% endfor %}

    {% block page_content %}{% endblock %}
</div>
{% endblock %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
<script>
    function delete_flash(flash){
        $(flash).parent().remove()
    }
</script>

<body>
    <nav class="navbar">
        <div class="container-fluid">
            <p class="navbar-text pull-right"><a href="http://www.festo.com/"><img src="static/img/FestoLogo.png"
                        alt="Festo"></a></p>
            <h2>Liquid Handling Software Suite</h2>
        </div>
    </nav>
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-10">
                <div class="well text-center" style="background-color: rgb(181, 247, 181);">
                    <h3>Calibration Section</h3>
                    <div class="row text-center">
                        <form class="btn-lg" action="/home" method="post">
                            <button type="submit" name="btnHome"
                                class="btn btn-primary mb-4 mr-sm-4 btn-lg">Home</button>
                        </form>
                    </div>
                    <br>
                    <div class="well" style="background-color: lightsalmon;">
                        <h3>Jog</h3>
                        <form  class="form-inline" action='/move'  method="post">
                            <div class="form-group">
                                <input type="number" name="xA" class="form-control mb-2 mr-sm-2" placeholder="X[mm]"
                                    value="{{ request.form['xA']}}">
                                <button type="submit" name="btnX" class="btn btn-primary mb-2">Move X</button>
                            </div>
                            <div class="form-group">
                                <input type="number" name="yA" class="form-control mb-2 mr-sm-2" placeholder="Y[mm]"
                                    value="{{ request.form['yA']}}">
                                <button type="submit" name="btnY" class="btn btn-primary mb-2">Move Y</button>
                            </div>
                            <div class="form-group">
                                <input type="number" name="zA" class="form-control mb-2 mr-sm-2" placeholder="Z[mm]"
                                    value="{{ request.form['zA']}}">
                                <button type="submit" name="btnZ" class="btn btn-primary mb-2">Move Z</button>
                            </div>
                        </form>
                        <br>
                        <form class="btn-lg" action="/home_zero" method="post">
                            <button type="submit", name="btnHomeZero" class="btn btn-primary mb-4 mr-sm-4">Run to Zero Point</button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-10">
                <div class="well" style="background-color: rgb(181, 247, 181);">
                    <div class="row text-center">
                        <h3>Run Protocol</h3>
                    </div>
                    <form  class="form-inline" action='/upload'  method="post" enctype = "multipart/form-data">
                        <div class="row mt-auto mb-auto">
                            <div class="custom-file">
                                <input id="input-b2" name="input-b2" type="file" class="file" data-show-preview="false">
                            </div>
                        </div>
                        <br>
                        <div class="row mt-auto mb-auto">
                            <button type="submit" class="btn btn-primary mb-4 mr-sm-4">Run Protocol</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
</body>

</html>